Subject: Re: [PATCH net v2] vlan: Fix lockdep warning when vlan dev handle notification

From: Ding Tianhong <[email-masked]>
Date: Fri, 28 Mar 2014 09:13:27 +0800

On 2014/3/28 1:06, David Miller wrote:
> From: Ding Tianhong <[email-masked]>
> Date: Mon, 17 Mar 2014 11:08:37 +0800
> 
>> On 2014/3/15 10:02, David Miller wrote:
>>> From: Ding Tianhong <[email-masked]>
>>> Date: Thu, 13 Mar 2014 10:22:18 +0800
>>>
>>>> When I open the LOCKDEP config and run these steps:
>>>
>>> This doesn't work?
>>>
>>
>> It make no sense, I have try it before, the class check only focus on the lock_class_key,
>> not the lockdep_subclass_key.
> 
> I think the issue is that not all of the addrlist locking uses _nested() variants,
> I think if we do that, this will all work.
> 
> I do not want to add a huge array of locking keys to fix this, it's a waste of
> static kernel memory and inelegant.
> 
> 
OK, ready for fix this again with new idea, thanks.

Ding